//package com.hzya.frame.plugin.lets.plugin.purchase;
//
//import cn.hutool.core.util.StrUtil;
//import com.alibaba.fastjson.JSONObject;
//import com.hzya.frame.base.PluginBaseEntity;
//import com.hzya.frame.plugin.lets.ofsvo.QueryOfsSoSaleOutVo;
//import com.hzya.frame.plugin.lets.plugin.sales.SoSaleOutPluginInitializerToB;
//import com.hzya.frame.plugin.lets.resultvo.CalculateDateVo;
//import com.hzya.frame.plugin.lets.util.DateStrUtil;
//import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.HeaderDetailsDto;
//import com.hzya.frame.web.entity.JsonResultEntity;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//import java.util.ArrayList;
//import java.util.List;
//
///**
// * 代理品牌采购业务：（代理品牌采购）OFS采购入库单生成U8C采购订单
// *
// * @Author：liuyang
// * @Package：com.hzya.frame.plugin.lets.plugin.purchase
// * @Project：kangarooDataCenterV3
// * @name：ProxyPurchase
// * @Date：2024/8/19 18:01
// * @Filename：ProxyPurchase
// */
//public class ProxyPurchaseWarehous extends PluginBaseEntity {
//
//    Logger logger = LoggerFactory.getLogger(ProxyPurchaseWarehous.class);
//
//    @Override
//    public void initialize() {
//        logger.info(getPluginLabel() + "執行初始化方法initialize()");
//    }
//
//    @Override
//    public void destroy() {
//        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
//    }
//
//    @Override
//    public String getPluginId() {
//        return "com.hzya.frame.plugin.lets.plugin.purchase.ProxyPurchaseWarehous";
//    }
//
//    @Override
//    public String getPluginName() {
//        return "OFS采购入库单生成U8C采购订单(代理品牌)";
//    }
//
//    @Override
//    public String getPluginLabel() {
//        return "OFS采购入库单生成U8C采购订单(代理品牌)";
//    }
//
//    @Override
//    public String getPluginType() {
//        return "3";
//    }
//
//    @Override
//    public JsonResultEntity executeBusiness(JSONObject requestJson) throws Exception {
//        return null;
//    }
//
//    /**
//     * 根据指定时间范围拉取
//     *
//     * @author liuyang
//     */
//    public void startImplement(String startTime, String endTime) {
//        String threadNameStr = StrUtil.format("（代理品牌采购）OFS采购入库单生成U8C采购订单 开始时间：{} 结束时间：{}", dateStr, summaryOrderNumber);
//        logger.info(threadNameStr);
//
//        Thread thread = new Thread(new Runnable() {
//            @Override
//            public void run() {
//                try {
//                    CalculateDateVo calculateDateVo = DateStrUtil.calculateCalculateEntireDayPeriod(dateStr);
//                    String tobShop = shopTobOrToCUtil.getCommaShop("TOB");
//
//                    List<HeaderDetailsDto> headerDetailsDtoList = new ArrayList<>();
//                    QueryOfsSoSaleOutVo queryOfsSoSaleOutVo = new QueryOfsSoSaleOutVo();
//                    queryOfsSoSaleOutVo.setShipAt_start(calculateDateVo.getStart_time());
//                    queryOfsSoSaleOutVo.setShipAt_end(calculateDateVo.getEnd_time());
//                    queryOfsSoSaleOutVo.setClientCode("LETS");
//                    queryOfsSoSaleOutVo.setInternalInstructionType("SALES");
////                    queryOfsSoSaleOutVo.setCompanyCode("SHLZ");
//                    queryOfsSoSaleOutVo.setStatus(900L);
//                    queryOfsSoSaleOutVo.setPageNo(1L);
//                    queryOfsSoSaleOutVo.setPageSize(50L);
//                    queryOfsSoSaleOutVo.setStoreCode(tobShop);
////                    queryOfsSoSaleOutVo.setCode("LETS-SH2024010200000004");
//                    queryOfsSaleOrder(queryOfsSoSaleOutVo, headerDetailsDtoList, 1L);
//                    logger.info("数据返回行数：{}", headerDetailsDtoList.size());
//                    if (headerDetailsDtoList.size() > 0) {
//                        getSet(headerDetailsDtoList);
//                    } else {
//                        logger.info("没有查询到任何数据！不需要同步");
//                    }
//                } catch (Exception e) {
//                    logger.error("startImplement方法抛出异常", e);
//                }
//            }
//        }, threadNameStr);
//        thread.start();
//        try {
//            thread.join();
//        } catch (Exception e) {
//            logger.error("thread.join()异常", e);
//        }
//    }
//
//}